# PriceList

| Name                         | Type                                                                               | Description                                                                                    |
| ---------------------------- | ---------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| addonPlans                   | List ([Plan](/developer/api-reference/types/plan.md))                              | List of addons for this price list                                                             |
| basePrice                    | Float                                                                              | The minimum amount you'll pay by using this plan                                               |
| charges                      | List ([PriceListCharge](/developer/api-reference/types/pricelistcharge.md))        | List of charges for this plan                                                                  |
| code                         | String                                                                             | Unique code of the plan. To avoid name collissions, it is a good idea to prefix with plan code |
| createdAt                    | ISO8601DateTime                                                                    | Timestamp of when the plan was created                                                         |
| currency                     | [Currency](/developer/api-reference/types/currency.md)                             | Currency object                                                                                |
| currencyId                   | ID                                                                                 | The currency of the prices on the plan                                                         |
| deprecated                   | Boolean                                                                            | Whether the price list is deprecated                                                           |
| id                           | ID                                                                                 | Unique ID of the price list                                                                    |
| isVisible                    | Boolean                                                                            | Controls whether the plan is visible for sale                                                  |
| monthlyBasePrice             | Float                                                                              | The minimum amount you'll pay by using this plan per month                                     |
| name                         | String                                                                             | Name of the price list                                                                         |
| periodMonths                 | Int                                                                                | Number of months per billing cycle                                                             |
| plan                         | [Plan](/developer/api-reference/types/plan.md)                                     | Object of the plan the price list belongs to                                                   |
| planId                       | ID                                                                                 | ID of the plan the price list belongs to                                                       |
| priceAdjustmentAction        | [PriceAdjustmentAction](/developer/api-reference/enums.md#priceadjustmentaction)   |                                                                                                |
| priceAdjustmentActionOptions | List (String)                                                                      |                                                                                                |
| priceAdjustmentPercentage    | Float                                                                              |                                                                                                |
| priceAdjustmentTiming        | [PriceAdjustmentTiming](/developer/api-reference/enums.md#priceadjustmenttiming)   |                                                                                                |
| priceAdjustmentTimingOptions | List (String)                                                                      |                                                                                                |
| priceDescription             | String                                                                             | Auto-generated summary of the pricing                                                          |
| priceListChargeDefaults      | [PriceListChargeDefault](/developer/api-reference/types/pricelistchargedefault.md) | Default values for a new price list charge                                                     |
| product                      | [Product](/developer/api-reference/types/product.md)                               |                                                                                                |
| productId                    | ID                                                                                 | ID of the plan the product belongs to                                                          |
| renewalTermMonths            | Int                                                                                | Number of months for the renewal term                                                          |
| renewalTermMonthsOptions     | List ([RenewalTermOption](/developer/api-reference/types/renewaltermoption.md))    |                                                                                                |
| showPriceAsMonthly           | Boolean                                                                            | Controls whether the price is shown as monthly                                                 |
| sku                          | String                                                                             | Stock keeping unit                                                                             |
| trialAllowed                 | Boolean                                                                            | Determines whether a trial period is possible before paying                                    |
| trialExpirationAction        | [TrialExpirationAction](/developer/api-reference/enums.md#trialexpirationaction)   | Controls whether the subscription expires or converts to active when the trial expires         |
| trialLengthDays              | Int                                                                                | The defaeult length in days of the trial period                                                |
| updatedAt                    | ISO8601DateTime                                                                    | Timestamp of last time the plan was updated                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/pricelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
